ALSA project - the C library reference

Data Fields
snd_seq_ev_queue_control_t Struct Reference
MIDI Sequencer » Sequencer Event Definitions

`#include <seq_event.h>`

## Data Fields
unsigned char | queue
unsigned char | unused [3]
union {
signed int value
snd_seq_timestamp_t time
unsigned int position
snd_seq_queue_skew_t skew
unsigned int d32 [2]
unsigned char d8 [8]
} | param

## Detailed Description

queue timer control

## Field Documentation

## ◆ d32

unsigned int snd_seq_ev_queue_control_t::d32[2]

any data

## ◆ d8

unsigned char snd_seq_ev_queue_control_t::d8[8]

any data

## ◆

union { ... } snd_seq_ev_queue_control_t::param

data value union

## ◆ position

unsigned int snd_seq_ev_queue_control_t::position

sync position

## ◆ queue

unsigned char snd_seq_ev_queue_control_t::queue

affected queue

## ◆ skew

snd_seq_queue_skew_t snd_seq_ev_queue_control_t::skew

queue skew

## ◆ time

snd_seq_timestamp_t snd_seq_ev_queue_control_t::time

time

## ◆ unused

unsigned char snd_seq_ev_queue_control_t::unused[3]

reserved

## ◆ value

signed int snd_seq_ev_queue_control_t::value

affected value (e.g. tempo)

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-402/media/alsa-lib/1.2.8/.i586-glibc/ebox-3350dx2/alsa-lib-1.2.8/include/seq_event.h